%define oname   rack-test

Name:       ruby-%{oname}
Version:    0.6.2
Release:    %mkrel 3
Summary:    Simple testing API built on Rack
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/brynary/rack-test
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Rack::Test is a small, simple testing API for Rack apps. It can be used on
its own or as a reusable starting point for Web frameworks and testing
libraries to build on. Most of its initial functionality is an extraction
of Merb 1.0's request helpers feature.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/MIT-LICENSE.txt


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.6.2-3.mga3
+ Revision: 396326
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 381312
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.6.2-1.mga3
+ Revision: 313815
- new version 0.6.2

* Thu Jun 07 2012 solbu <solbu> 0.6.1-1.mga3
+ Revision: 256755
- New version
- Spec cleanup

* Sat Feb 12 2011 shikamaru <shikamaru> 0.5.7-1.mga1
+ Revision: 51094
- imported package ruby-rack-test

